libcamera v0.5.1 Supporting cameras in Linux since 2019 |

Loading...
Searching...
No Matches
Public Attributes | List of all members
libcamera::ipa::ipu3::algorithms::Accumulator Struct Reference

RGB statistics for a given zone. More...

## Public Attributes
unsigned int | counted
| Number of unsaturated cells used to calculate the sums.
struct { |
uint64_t red |
uint64_t green |
uint64_t blue |
} | sum |
| A structure containing the average red, green and blue sums.

## Detailed Description

RGB statistics for a given zone.

Accumulate red, green and blue values for each non-saturated item over a zone. Items can for instance be pixels, but also the average of groups of pixels, depending on who uses the accumulator.

Todo
  move this description and structure into a common header

Zones which are saturated beyond the threshold defined in ipu3_uapi_awb_config_s are not included in the average.

The documentation for this struct was generated from the following files:

- src/ipa/ipu3/algorithms/awb.h
- src/ipa/ipu3/algorithms/awb.cpp